<?php

namespace Wp618\Finder;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Action{
    private $app;
    private $search_word = '';

    //
    public function __construct(){
        $this->app = App::getInstance();

        \add_action('wp_head', [$this, 'add_search']);
        \add_action('wp_footer', [$this, 'save_search']);
    }

    //
    public function add_search(){
        if(!is_admin() && is_search() && isset($_GET['s'])){
            $word = strip_tags($_GET['s']);

            if(strlen($word)){
                $this->search_word = $word;
            }
        }
    }

    //
    public function save_search(){
        if(strlen($this->search_word)){
            global $wp_query;
            $result_count = $wp_query->found_posts;

            $row = $this->app->search_model->get_one([
                'where' => ['word' => $this->search_word],
            ]);

            $ip = $_SERVER['REMOTE_ADDR'];
            $ua = isset($_SERVER['HTTP_USER_AGENT']) ? strip_tags($_SERVER['HTTP_USER_AGENT']) : '-';
            $ua = mb_substr($ua, 0, 255, 'utf-8');

            if(empty($row)){
                $this->app->search_model->insert([
                    'word' => $this->search_word,
                    'search_count' => 1,
                    'result_count' => $result_count,
                    'ip' => $ip,
                    'ua' => $ua,
                ]);
            }else{
                $this->app->search_model->update([
                    'search_count' => $row['search_count'] + 1,
                    'result_count' => $result_count,
                    'ip' => $ip,
                    'ua' => $ua,
                ], ['id' => $row['id']]);
            }
        }

        $this->delete_more_data();
    }

    //
    private function delete_more_data(){
        $max = get_config_value('general.max_count');
        if(empty($max)){
            $max = 10000;
        }

        $row_max = $this->app->search_model->get_one([
            'order' => 'id desc',
        ]);

        if(empty($row_max)){
            return false;
        }

        for($i = 0; $i < 10; $i++){
            $row_min = $this->app->search_model->get_one([
                'order' => 'id asc',
            ]);

            if(empty($row_min)){
                return false;
            }

            if(($row_max['id'] - $row_min['id']) >= $max){
                $this->app->search_model->delete(['id' => $row_min['id']]);
            }else{
                break;
            }
        }

        return true;
    }

}
