<?php

namespace Wp618\Finder;

if ( !defined( 'ABSPATH' ) ) exit;

class Plugin_install{
    //
    public function __construct($file)
    {
        register_activation_hook( $file, [__CLASS__, 'cb_activation']);
        register_deactivation_hook( $file, [__CLASS__, 'cb_deactivation']);
        register_uninstall_hook( $file, [__CLASS__, 'cb_uninstall']);
    }

    //
    public static function cb_activation(){
        global $wpdb;
        $charset_collate = $wpdb->get_charset_collate();

        $app = App::getInstance();
        $app->search_model->load_dbDelta();

        $table =  $app->search_model->get_table();;
        $sql = "CREATE TABLE IF NOT EXISTS {$table}(
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `word` varchar(127) CHARACTER SET utf8mb4 NOT NULL,
  `search_count` int(11) NOT NULL,
  `result_count` int(11) NOT NULL,
  `ip` varchar(15) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `ua` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `crtime` datetime NOT NULL,
  `uptime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `word` (`word`),
  KEY `search_count` (`search_count`)
) {$charset_collate}";
        \dbDelta($sql);
    }

    //
    public static function cb_deactivation(){

    }

    //
    public static function cb_uninstall(){

    }

}
