<div class="wrap">
    <h1>搜索日志</h1>
    <hr class="wp-header-end">

    <style>
        span[data-type]{
            cursor: pointer;
        }
    </style>

    <form id="posts-filter" method="get">
        <?php
        foreach ($_GET as $key => $val){
            if($key == 'paged'){
                continue;
            }
            echo '<input type="hidden" name="' . esc_attr($key) . '" value="' . esc_attr($val) . '">';
        }
        ?>
        <div class="tablenav top">
            <div class="alignleft actions bulkactions">
                <input type="hidden" name="action" value="<?php echo $action; ?>">
                <input type="hidden" name="nonce" value="<?php echo $nonce; ?>">
                <input type="button" id="j-delete-all" class="button action" value="清空日志">
            </div>

            <?php
            $paging->render('top');
            ?>
            <br class="clear">
        </div>

        <table class="wp-list-table widefat fixed striped table-view-list pages">
            <thead>
            <tr>
                <th scope="col" class="manage-column column-primary desc" style="width:50px">
                    <strong>ID</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>关键词</strong>
                </th>
                <th scope="col" class="manage-column">
                    <strong>搜索次数</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>内容数量</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>最后 IP</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>分类</strong>
                </th>
                <th scope="col" class="manage-column desc">
                    <strong>标签</strong>
                </th>
                <th scope="col" class="manage-column asc">
                    <strong>时间</strong>
                </th>
            </tr>
            </thead>

            <tbody id="the-list">
            <?php
            foreach ($list as $item){
            ?>
            <tr class="iedit author-self level-0 post-2 type-page status-publish hentry">
                <td class="title column-title has-row-actions column-primary">
                    <?php echo $item['id']; ?>
                </td>
                <td class="author">
                    <?php
                    echo '<a href="' . '/?s=' . urlencode($item['word']) . '" target="_blank">'
                        . esc_html($item['word']) . '</a>';
                    ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['search_count']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['result_count']); ?>
                </td>
                <td class="author">
                    <?php echo esc_html($item['ip']); ?>
                </td>
                <td class="date">
                    <?php
                    if($item['is_cat']){
                        echo '√';
                    }else{
                        echo '<span data-word="' . esc_attr($item['word']) . '" data-type="cat">添加</span>';
                    }
                    ?>
                </td>
                <td class="date">
                    <?php
                    if($item['is_tag']){
                        echo '√';
                    }else{
                        echo '<span data-word="' . esc_attr($item['word']) . '" data-type="tag">添加</span>';
                    }
                    ?>
                </td>
                <td class="date">
                    <?php echo esc_html($item['uptime']); ?>
                </td>
            </tr>
            <?php
            }
            ?>
            </tbody>
        </table>
        <div class="tablenav bottom">
            <?php
            $paging->render('bottom');
            ?>
            <br class="clear">
        </div>
    </form>
</div>

<script>
    jQuery(function ($) {
        //
        $('#j-delete-all').click(function (){
            let data = {
                action: $('input[name="action"]').val(),
                nonce: $('input[name="nonce"]').val(),
                type: 'all'
            };

            if(confirm('确定清空日志吗？')){
                $.post(ajaxurl, data, function(res){
                    if(res.success){
                        $('#the-list tr').remove();
                    }
                }, 'json');

            }
        });

        //
        $('span[data-type]').click(function (){
            let data = {
                action: '<?php echo $add_term_action; ?>',
                word: $(this).data('word'),
                type: $(this).data('type'),
                nonce: $('input[name="nonce"]').val()
            };
            let $that = $(this);

            if(confirm('确定添加到 ' + (data.type === 'cat' ? '分类' : '标签') + ' 吗？')){
                $.post(ajaxurl, data, function(res){
                    if(res.success){
                        $that.text('√');
                    }else{
                        alert(res.data.msg);
                    }
                }, 'json');

            }
        });
    });
</script>